
// Generated by the WOLips Templateengine Plug-in at Jun 13, 2012 10:58:01 AM

/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.peche.serveur;

import org.cocktail.fwkcktlwebapp.common.version.app.VersionApp;
import org.cocktail.peche.Application;

/**
 * Cette classe ne doit pas heriter d'une classe autre que Object pour être lancee sans classpath. Logiquement vous ne devez modifier que les constantes
 * statiques des nº de version, la date et les commentaires
 */
public final class VersionMe extends Object {
	// Nom de l'appli
	static final String APPLICATIONFINALNAME = "Peche";
	public static final String APPLICATIONINTERNALNAME = "Peche";
	public static final String APPLICATION_STRID = "PECHE";

	public static final int VERSIONNUMMAJ;
	public static final int VERSIONNUMMIN;
	public static final int VERSIONNUMPATCH;
	public static final int VERSIONNUMBUILD;

	public static final String VERSIONDATE;
	public static final String COMMENT = null;

	static {
		VersionApp versionApp = Application.application().injector().getInstance(VersionApp.class);
		VERSIONNUMMAJ = versionApp.majVersion();
		VERSIONNUMMIN = versionApp.minVersion();
		VERSIONNUMPATCH = versionApp.patchVersion();
		VERSIONNUMBUILD = versionApp.buildVersion();
		VERSIONDATE = versionApp.dateVersion();
	}

	/**
	 * @param args arguments
	 */
	public static void main(String[] args) {
		System.out.println("" + VERSIONNUMMAJ + "." + VERSIONNUMMIN + "." + VERSIONNUMPATCH + "." + VERSIONNUMBUILD);
	}

	/**
	 * @return la version d'appli
	 */
	public static String appliVersion() {
		String appliVersion = VERSIONNUMMAJ + "." + VERSIONNUMMIN + "." + VERSIONNUMPATCH + "." + VERSIONNUMBUILD;
		return appliVersion;
	}

	/**
	 * @return la version d'appli en html
	 */
	public static String htmlAppliVersion() {
		String htmlAppliVersion = "<b>Version " + appliVersion();
		htmlAppliVersion += " du " + VERSIONDATE + "</b>";
		return htmlAppliVersion;
	}

	/**
	 * @return la version d'appli en txt
	 */
	public static String txtAppliVersion() {
		return "Version " + appliVersion();
	}

}


